%define gittag f6c7a5aa141d2b201e8a299ab889ff1ed23992ea
%define git 20240914
%define rel 2

Name:       mairix
Version:    0.24git
Release:    %mkrel -c git%{git} %rel
Summary:    A program for indexing and searching email messages
Group:      Networking/Mail
License:    GPLv2
URL:        https://github.com/vandry/mairix
Source0:    https://github.com/vandry/mairix/archive/%{gittag}.tar.gz#/%{name}-%{gittag}.tar.gz
BuildRequires: bison
BuildRequires: flex
BuildRequires: locales
BuildRequires: pkgconfig(bzip2)
BuildRequires: pkgconfig(liblzma)
BuildRequires: pkgconfig(zlib)

%description
mairix is a program for indexing and searching email messages stored in
Maildir, MH or mbox folders.

* Indexing is fast.  It runs incrementally on new messages - any particular
  message only gets scanned once in the lifetime of the index file.

* The search mode populates a "virtual" folder with symlinks(*) which
  point to the real messages.  This folder can be opened as usual in your mail
  program.

* The search mode is very fast.

* Indexing and searching works on the basis of words.  The index file tabulates
  which words occur in which parts (particular headers + body) of which
  messages.

The program is a very useful complement to mail programs like mutt
(http://www.mutt.org/, which supports Maildir, MH and mbox folders) and
Sylpheed (which supports MH folders).

%prep
%autosetup -p1 -n %{name}-%{gittag}

%build
%set_build_flags
./configure --prefix=%{_prefix} --bindir=%{_bindir} --infodir=%{_infodir} --mandir=%{_mandir}   --docdir=%{_docdir}
%make_build

%install
%make_install
chmod 755 "$RPM_BUILD_ROOT/%{_bindir}/mairix"

%check
LC_ALL=UTF-8 make check

%files
%{_bindir}/%{name}
%{_mandir}/man?/*
%{_datadir}/zsh/site-functions/_%{name}
%doc README INSTALL NEWS ACKNOWLEDGEMENTS dotmairixrc.eg


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.24git-0.git20240914.2.mga10
+ Revision: 2231472
- Mageia 10 Mass Rebuild

* Wed Dec 18 2024 danf <danf> 0.24git-0.git20240914.1.mga10
+ Revision: 2126128
- Update to latest git as of 2024-09-14
- index format is changed to increase limits so existing indexes must be deleted
- xz-compressed mbox support is enabled
- zsh completion support is added

* Fri Mar 18 2022 umeabot <umeabot> 0.24-2.mga9
+ Revision: 1797847
- Mageia 9 Mass Rebuild

* Thu Mar 11 2021 danf <danf> 0.24-1.mga9
+ Revision: 1701352
- imported package mairix

